Bug 1003636 - 'Power Management Configuration' warning at 'Add Host' window from 'Configure Host' of 'New Cluster' window is dysfunctional
'Power Management Configuration' warning at 'Add Host' window from 'Configure...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.4.0
Assigned To: nobody nobody
Pavel Stehlik
ux
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 10:25 EDT by Rejy M Cyriac
Modified: 2014-02-03 07:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 14:52:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rejy M Cyriac 2013-09-02 10:25:13 EDT
Description of problem:
During the creation of 'New Cluster' in a POSIX compliant FS Data Center, choose Virt Enabled Cluster, and at the next window, choose 'Configure Host', provide details of hypervisor host to add, but do not put in any details for Power management Configuration. On selecting 'OK', the 'Power Configuration Management' warning appears, and if 'OK' is selected to proceed anyway, it gets back to the previous screen, instead of proceeding to add the hypervisor host as expected.

Version-Release number of selected component (if applicable):
RHEVM 3.3 IS12 (3.3.0-0.18.master.el6ev)

How reproducible:


Steps to Reproduce:
During the creation of 'New Cluster' in a POSIX compliant FS Data Center, choose 'Enable Virt Service', and at the next window, choose 'Configure Host', provide details of hypervisor host to add, but do not put in any details for Power management Configuration. On selecting 'OK', the 'Power Configuration Management' warning appears, and select 'OK' to proceed anyway.

Actual results:
On selecting to proceed without configuring Power Management, it gets back to the previous screen, instead of proceeding to add the hypervisor host to the new cluster, as expected.

Expected results:
On selecting to proceed without configuring Power Management, it should proceed to add the hypervisor host to the new cluster.

Additional info:
The process works as expected, if 'Enable Gluster Service' is selected for the Cluster.
Comment 1 Rejy M Cyriac 2013-09-02 11:04:03 EDT
The issue was reproduced on 'Gluster Service Enabled' Cluster as well, unlike earlier reported. This was on a 3.2 compatibility version Cluster
Comment 2 Barak 2013-09-08 11:18:45 EDT
Rejy, I assume you are describing the use in the guide-me dialogue ?
Comment 3 Rejy M Cyriac 2013-09-09 02:38:49 EDT
(In reply to Barak from comment #2)
> Rejy, I assume you are describing the use in the guide-me dialogue ?

Yes, that was what I was describing. Phew! Took a lot of words just to ensure that it is not confused with something else. ;-)

Now, on the IS13 Build - rhevm-3.3.0-0.19.master.el6ev - the issue appears to be not reproducible for 'virt service enabled' cluster, and *still* reproducible for 'gluster enabled service' cluster. But then again, I had such behaviour, but the other way around, when I first saw the issue.

Cheers,

rejy (rmc)
Comment 4 Einav Cohen 2013-09-09 11:07:35 EDT
Rejy, can you please attach a video / series of screen-shots that demonstrate the problem? it is not clear to me. thanks.
Comment 5 Rejy M Cyriac 2013-09-10 08:57:25 EDT
(In reply to Einav Cohen from comment #4)
> Rejy, can you please attach a video / series of screen-shots that
> demonstrate the problem? it is not clear to me. thanks.

Yes, I can give you that. Just give me a day to get it done.

Cheers,

rejy (rmc)
Comment 6 Rejy M Cyriac 2013-09-11 11:20:56 EDT
Every time I try to reproduce the issue, to give you the snap-shots, everything is working fine now, for both virt and gluster clusters.

I am now using RHEVM IS13 build - rhevm-3.3.0-0.19.master.el6ev

May be tha reported issue got fixed in this new build.

Or may be RHEVM likes to play with me. :-)

You may close this BZ, and I will re-open it if I hit the issue again. Thanks.
Comment 7 Einav Cohen 2013-09-11 14:52:56 EDT
(In reply to Rejy M Cyriac from comment #6)
> Every time I try to reproduce the issue, to give you the snap-shots,
> everything is working fine now, for both virt and gluster clusters.
> 
> I am now using RHEVM IS13 build - rhevm-3.3.0-0.19.master.el6ev
> 
> May be tha reported issue got fixed in this new build.
> 
> Or may be RHEVM likes to play with me. :-)
> 
> You may close this BZ, and I will re-open it if I hit the issue again.
> Thanks.

Thank you, Rejy.

Note You need to log in before you can comment on or make changes to this bug.